Runtime

## org.eclipse.gmf.runtime.notation
Class JumpLinkStatus

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.notation.JumpLinkStatus

All Implemented Interfaces:
  Enumerator

public final class JumpLinkStatus
extends AbstractEnumerator

A representation of the literals of the enumeration 'Jump Link Status', and utility methods for working with them.

See Also:
  `NotationPackage.getJumpLinkStatus()`
** Generated **
Model:

Field Summary
`static int` `ABOVE` The 'Above' literal value
`static JumpLinkStatus` `ABOVE_LITERAL` The 'Above' literal object
`static int` `ALL` The 'All' literal value
`static JumpLinkStatus` `ALL_LITERAL` The 'All' literal object
`static int` `BELOW` The 'Below' literal value
`static JumpLinkStatus` `BELOW_LITERAL` The 'Below' literal object
`static int` `NONE` The 'None' literal value
`static JumpLinkStatus` `NONE_LITERAL` The 'None' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Jump Link Status' enumerators

Method Summary
`static JumpLinkStatus` `get(int value)` Returns the 'Jump Link Status' literal with the specified integer value
`static JumpLinkStatus` `get(java.lang.String literal)` Returns the 'Jump Link Status' literal with the specified literal value
`static JumpLinkStatus` `getByName(java.lang.String name)` Returns the 'Jump Link Status' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The 'None' literal value.

  See Also:
    `JumpLinkStatus.NONE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="None"

### ALL

    public static final int ALL

  The 'All' literal value.

  See Also:
    `JumpLinkStatus.ALL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="All"

### BELOW

    public static final int BELOW

  The 'Below' literal value.

  See Also:
    `JumpLinkStatus.BELOW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Below"

### ABOVE

    public static final int ABOVE

  The 'Above' literal value.

  See Also:
    `JumpLinkStatus.ABOVE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Above"

### NONE_LITERAL

    public static final JumpLinkStatus NONE_LITERAL

  The 'None' literal object.

  See Also:
    `JumpLinkStatus.NONE`
  ** Generated **
  Ordered:

### ALL_LITERAL

    public static final JumpLinkStatus ALL_LITERAL

  The 'All' literal object.

  See Also:
    `JumpLinkStatus.ALL`
  ** Generated **
  Ordered:

### BELOW_LITERAL

    public static final JumpLinkStatus BELOW_LITERAL

  The 'Below' literal object.

  See Also:
    `JumpLinkStatus.BELOW`
  ** Generated **
  Ordered:

### ABOVE_LITERAL

    public static final JumpLinkStatus ABOVE_LITERAL

  The 'Above' literal object.

  See Also:
    `JumpLinkStatus.ABOVE`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Jump Link Status' enumerators.

  ** Generated **

Method Detail

### get

    public static JumpLinkStatus get(java.lang.String literal)

  Returns the 'Jump Link Status' literal with the specified literal value.

  ** Generated **

### getByName

    public static JumpLinkStatus getByName(java.lang.String name)

  Returns the 'Jump Link Status' literal with the specified name.

  ** Generated **

### get

    public static JumpLinkStatus get(int value)

  Returns the 'Jump Link Status' literal with the specified integer value.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.